<app-base-layout>
  <app-market-open-card class="mb-3" style="box-shadow: none;"></app-market-open-card>
  <div class="container p-0">
  <div class="watchlist-header-wrapper">
    <a class="header-action" >
      <img src="assets/icons/icon-arrow.png" alt="" (click)="handleBackClick($event)"/>
    </a>
    <div class="header-title">
      <span>WatchList <img src="assets/icons/info-icon.svg"
       style="filter: brightness(100);
        margin-left: 9px;
        margin-bottom: 1px;" (click)="watchListDiscloser(discloserModal)"></span>
    </div>
    <button class="header-action btn" *ngIf="!longPressState" style="flex: 0 0 6rem"  (click)="watchlistAddModalOpen(watchlistAddModal)">
      <img class="add-icon-img" src="assets/icons/plus.svg" style="max-width: 24px"  alt="" />
      <span>New</span>
    </button>
    <button class="header-action btn" *ngIf="longPressState" (click)="handleDeleteCompany()" style="flex: 0 0 6rem">
      <img src="assets/icons/delete-icon.svg" style="max-width: 24px"  alt="" />
    </button>
  </div>
  <div
  class="separator"
  style="width: 100%; height: 16px"
></div>
    <div class="row tabs-wrapper">
      <div class="col-12 pl-0 pr-0">
        <app-nav-tabs [tabs]="categoryTabs" (onClick)="handleOnClick($event)"></app-nav-tabs>
      </div>
    </div>
    <div class="container-lg dashboard-right-view">
      <br />
      <div class="mb-2" *ngIf="categoryTabs.length">
        <app-search-field
        [placeholder]="strings.searchPlaceholder"
        (onSearchChange)="handleSearchChange($event)"
        [searchInput]="searchInput"
        style="z-index: 2;"
      ></app-search-field>
      <div
      *ngIf="searchBlock"
      (click)="handleOnBlurSearch()"
      class="backdrop"
      style="position: fixed; left: 0; top: 0; bottom: 0; right: 0;background-color: #000;opacity: 0.5;z-index: 100;"
    ></div>
    <div class="search-block"  style="z-index: 100;" *ngIf="searchBlock">
      <div class="card">
        <div class="card-body">
          <!-- <app-nav-tabs [tabs]="searchCategoryTabs"></app-nav-tabs> -->
          <!-- <br> -->
          <div class="row mb-4" *ngIf="searchLoading">
            <div class="col-auto">
                <span class="text">Loading...</span>
            </div>
          </div>
          <div class="row mb-4" *ngIf="!searchLoading && !searchedResults.length">
            <div class="col-auto">
                <span class="text">No result found</span>
            </div>
          </div>
          <div
            class="row mb-4"
            *ngFor="let result of searchedResults"
            (click)="handleAddToWatchlist(result?.company_id)"
          >
            <div class="col-auto px-2">
              <a>
                <span class="text">{{ result?.symbol }}</span>
              </a>
            </div>
            <div class="col px-2">
              <a>
                <span class="sub-text">{{ result?.name }}</span>
              </a>
            </div>
            <div class="col-auto text-right px-2">
              <img src= "{{handleIsAdded(result?.company_id) ? 'assets/icons/watchlist-add-heart-active.svg' : 'assets/icons/watchlist-add-heart.svg' }}">
            </div>
          </div>
        </div>
      </div>
    </div>
      </div>
      <div class="watch-list-empty-wrapper card" *ngIf="!myWatchListLoading && myWatchListEmpty">
        <div class="watch-list-empty card-body p-3">

          <ng-container *ngIf="categoryTabs.length == 0">
            <p class="body-2 mb-0" (click)="watchlistAddModalOpen(watchlistAddModal)">Look like you have not created watchlist yet. </p>
          </ng-container>

          <ng-container *ngIf="categoryTabs.length != 0">
            <div class="title">Your Watchlist is empty</div>
            <div class="separator" style="width: 100%; height: 8px"></div>
            <div class="text body-2">
              Add stocks to watchlist and start tracking their prices
            </div>
          </ng-container>


          <!-- <div class="title">Your Watchlist is empty</div>
          <div class="separator" style="width: 100%; height: 12px"></div>
          <div class="text">
            Add stocks to watchlist and start tracking their prices
          </div> -->
          <div class="separator" style="width: 100%; height: 16px"></div>
        </div>
        <!-- <div class="btn btn-primary" (click)="addStockWatchList()">
          ADD STOCK
        </div> -->
      </div>
    <app-loader *ngIf="myWatchListLoading"></app-loader>
    <div *ngIf="!myWatchListLoading">
      <!-- <app-info-card *ngFor="let company of watchlistCompany" [img]="company.img" [stats]="company.stats" [company]="company.company"  [name]="company.name" [symbol]="company.symbol" [price]="company.price" [companyId]="company.companyId"  class="mb-2" ></app-info-card> -->
    </div>
   

    
      <app-info-card *ngFor="let company of watchlistCompany" (click)="handleClick(company.companyId)" [img]="company.img" [stats]="company.stats" [company]="company.company"  [name]="company.name" [symbol]="company.symbol" [price]="company.price" [companyId]="company.companyId" [previous_price]="company.previous_price" [longPressState] = "longPressState" class="mb-2" (mousedown)="longPress(true,company.companyId)" (touchstart)="longPress(true,company.companyId)" (touchend)="longPress(false)" [isSelected]="componeysIds.includes(company.companyId)"></app-info-card>
    </div>   
    <div class="watchlist-filter-btn d-md-none">
          <div class="btn-group" role="group" aria-label="Basic example">
            <button type="button" class="btn" (click)="sort_list('alphabet_sort')">Alphabetical <img *ngIf="show_name_arrow" [src]="alphabet_sort_icon" class="ml-2"></button>
            <button type="button" class="btn d-flex" (click)="sort_list('percentage_change')">%Change <img *ngIf="show_percentage_arrow" [src]="percentage_change_sort_icon" class="ml-2"></button>
          </div>
    </div>
    <div class="bottom-fixed-btn">
      <div class="row">
        <div class="col pl-0 pr-0" *ngIf="!longPressState">
          <button class="btn watchlist-edit-stocks-btn" [disabled]="this.categoryTabs.length < 1" (click)="watchlistAddModalOpen(watchlistAddModal,true)">
           <img src="assets/icons/icon-pen.png" style="max-width: 24px" alt="" /> Edit
          </button>
        </div>
        <div class="col pl-0 pr-0" *ngIf="!longPressState">
          <button class="btn watchlist-delete-stocks-btn" [disabled]="this.categoryTabs.length < 1" (click)="deleteWatchlistOpen(deleteWatchlist)">
           <img src="assets/icons/icon-dustbin.png" style="max-width: 24px" alt="" /> Delete
          </button>
        </div>
        <div class="col pl-0 pr-0" *ngIf="longPressState">
          <button class="btn watchlist-delete-stocks-btn"  (click)="cancelDelete()">
           Cancel
          </button>
        </div>
        <div class="col pl-0 pr-0 d-none d-md-flex" *ngIf="longPressState">
        <button class="header-action btn watchlist-delete-stocks-btn" *ngIf="longPressState" (click)="handleDeleteCompany()" style="flex: 0 0 6rem">
          <img src="assets/icons/delete-icon.svg" style="max-width: 24px"  alt="" />delete
        </button>
      </div>
        <div class="col d-none d-md-flex watchlist-filter-btn">
          <div class="btn-group" role="group" aria-label="Basic example">
            <button type="button" class="btn" (click)="sort_list('alphabet_sort')">Alphabetical <img *ngIf="show_name_arrow" [src]="alphabet_sort_icon" class="ml-2"></button>
            <button type="button" class="btn d-flex" (click)="sort_list('percentage_change')">%Change <img *ngIf="show_percentage_arrow" [src]="percentage_change_sort_icon" class="ml-2"></button>
          </div>
        </div>
        <!-- <div class="col pl-0 pr-0">
          <button class="btn watchlist-add-stocks-btn" (click)="navigateToAllStocks()">
           <img src="assets/icons/plus.svg" style="max-width: 24px" alt="" /> Add stocks
          </button>
        </div> -->
      </div>
    </div>


  <!-- delete stocks watchlist modal -->
  <ng-template #deleteWatchlist let-c="close" let-d="dismiss">
    <div class="deleteWathlistModal">
    <div class="modal-body">
      <span>Your are about to delete this watchlist please tap on confirm to delete.</span>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-link" (click)="c('Cancel click')">Cancel</button>
      <button type="button" class="btn btn-link" (click)="handleDeleteWatchlist()">Confirm</button>
    </div>
  </div>
  </ng-template>
  <!-- new watchlist add modal -->
  <ng-template #watchlistAddModal let-c="close" let-d="dismiss">
    <form [formGroup]="watchlistAddForm" (ngSubmit)="onWatchlistAddFormSubmit()">
    <div class="watchlistAddModal">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">{{ isEdit?"Edit":"Give"}} your watchlist a name</h4>
    </div>
    <div class="modal-body">
     <div class="row need-help" style="min-height:100%">
      <div class="col-12 col-lg-12">
        <input #desc type="text" formControlName="watchlistName"  placeholder="Watchlist name" class="inp text-uppercase">
        <div class="error-msg" >
          <i *ngIf="!(watchlistAddForm.controls['watchlistName'].errors?.maxlength?.actualLength < 15)">
            Text must be less than or equal to 15 characters.
          </i>
          <i *ngIf="(watchlistAddForm.controls['watchlistName'].errors?.required)  && 
                    (watchlistAddForm.controls['watchlistName'].touched)">
            Watchlist name cannot be empty
          </i>
          <i *ngIf="(watchlistAddForm.controls['watchlistName'].errors?.minLength)">
            Watchlist name cannot be Less Then 3 Letter
  </i>
        </div>
      </div>
     </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-link" [disabled]="this.watchlistAddForm.valid? null : true" >Confirm</button>
    </div>
  </div>
</form>
  </ng-template>

  <ng-template #discloserModal let-c="close" let-d="dismiss">
    <div class="watchlist-discloser-Modal">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Watchlist Disclosure</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
     <div class="text">
      Your watchlist may be pre-populated with an initial list of stocks/ETFs demonstrate how you can use this feature to track securities. The inclusion of these stocks/ ETFs is not a recommendation or solicitation to buy or sell any security. You can add and remove stocks/ETFs from your watchlist by selecting the stock/ETF and toggling the watchlist button/icon.
     </div>
    </div>
    <!-- <div class="modal-footer">
      <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button>
    </div> -->
  </div>
  </ng-template>
</div>
</app-base-layout>
